use std::ffi::CStr;

use crate::util::BASE;

const PTR_TO_STRING_ANSI: usize = 0x12E6B1E0;
type MarshalPtrToStringAnsi = unsafe extern "fastcall" fn(*const u8) -> *const u8;

pub unsafe fn ptr_to_string_ansi(content: &CStr) -> *const u8 {
    let func = std::mem::transmute::<usize, MarshalPtrToStringAnsi>(*BASE + PTR_TO_STRING_ANSI);
    func(content.to_bytes_with_nul().as_ptr())
}
